# Scene Workspaces - Add-On

![Overview image](assets/Preview%20Image.png)

## Overview

**Scene Workspaces** creates an alternative workspaces topbar, allowing you to filter and reorder workspaces, scene by scene.  

Basically, you can decide which workspace you want to link to each scene.

> This is possible thanks to a custom property in each scene (which is saved with your .blend file) listing the filtered and ordered list of workspaces linked to the scene.  

---

Some optionals you can opt-in/out from add-on preferences:
- Switch to show/hide Scene Workspaces custom topbar (you hide this from preferences)
*Custom workspaces topbar*
![Compact Mode OFF](assets/Topbar%20-%20Custom.png)
*Default workspaces topbar*
![Compact Mode OFF](assets/Topbar%20-%20Original.png)
- Option for Compact UI (default ON)
*Compact Mode On*
![Compact Mode OFF](assets/Topbar%20-%20Compact%20On.png)
*Compact Mode Off*
![Compact Mode OFF](assets/Topbar%20-%20Compact%20Off.png)

---

What you can usually to do by right-clicking on workspace (and more) it's avaliable by clicking the near options button.

![Compact Mode OFF](assets/Topbar%20Workspace%20Menu.png)

The first options are the one of Scene Workspaces:
- Toggle Compact Mode
- Unlink the workspace from the scene
- Rename the workspace (for all scenes)
- Reorder to front (only for these scene)
- Move left (only for these scene)
- Move right (only for these scene)
- Reorder to back (only for these scene)

And then, the default workspace options.

> **Note**
> The default workspace options like Reorder to Front, Reorder to Back will only affect the global workspaces, and not the Scene Workspaces topbar.  
> Also, default options Previous Workspace and Next Workspace functions will not follow the scene order.  
> Be sure to use the Scene Workspaces relative options, instead.


---

## Why this add-on?

In Blender, workspaces are common across scenes.

Still, you may need different workspaces in different scenes, depending on the purpose of the scene.

*For example, you may want a scene with workspaces optimized for modelling and
another Scene optimized for Video Editing, in the same project.*

## Changelog

Visit the [CHANGELOG](./CHANGELOG.md) file to see the changes over new version.  

## Copyright

This add-on is developed under GPL-3.0 license by Francesco Bellini from 2024.  
*See the [LICENSE](./LICENSE) file.*
